## org.mortbay.util
Class JarResource

    java.lang.Object
      |
      +--org.mortbay.util.Resource
            |
            +--org.mortbay.util.URLResource
                  |
                  +--org.mortbay.util.JarResource

All Implemented Interfaces:
  java.io.Serializable

public class JarResource
extends URLResource

See Also:
  Serialized Form

Method Summary
`boolean` `exists()` Returns true if the respresenetd resource exists.
`void` `extract(java.io.File directory, boolean deleteOnExit)`
`static void` `extract(Resource resource, java.io.File directory, boolean deleteOnExit)`
`java.io.File` `getFile()` Returns an File representing the given resource or NULL if this is not possible.
`java.io.InputStream` `getInputStream()` Returns an input stream to the resource
`void` `release()` Release any resources held by the resource.

Methods inherited from class org.mortbay.util.URLResource
`addPath, delete, equals, getName, getOutputStream, getURL, hashCode, isDirectory, lastModified, length, list, renameTo, toString`

Methods inherited from class org.mortbay.util.Resource
`cache, encode, getAlias, getAssociate, getListHTML, newResource, newResource, newSystemResource, setAssociate, writeTo`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### release

    public void release()

  Description copied from class: `URLResource`
  Release any resources held by the resource.

  Overrides:
    `release` in class `URLResource`

### exists

    public boolean exists()

  Returns true if the respresenetd resource exists.

  Overrides:
    `exists` in class `URLResource`

### getFile

    public java.io.File getFile()
                         throws java.io.IOException

  Description copied from class: `URLResource`
  Returns an File representing the given resource or NULL if this is not possible.

  Overrides:
    `getFile` in class `URLResource`
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from class: `URLResource`
  Returns an input stream to the resource

  Overrides:
    `getInputStream` in class `URLResource`
    `java.io.IOException`

### extract

    public static void extract(Resource resource,
                               java.io.File directory,
                               boolean deleteOnExit)
                        throws java.io.IOException

    `java.io.IOException`

### extract

    public void extract(java.io.File directory,
                        boolean deleteOnExit)
                 throws java.io.IOException

    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.